# Documentación relacionada con los reportes
paths:
  /api/v1/report/ReRecibos:
    post:
      summary: Genera reporte de recibos mediante SP "SPReRecibos"
      description: |
        Endpoint que ejecuta el stored procedure SPReRecibos para generar reportes de recibos
        con diversos filtros. Retorna los recibos que coincidan con los parámetros especificados.
      tags:
        - Reportes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                estado:
                  type: string
                  description: Estado de recibo (C=Cobrado, P=Pendiente, A=Anulado, N=Notificados)
                  enum: ["C", "P", "A", "N"]
                  example: "C"
                poliza:
                  type: string
                  description: Número de póliza
                  example: "5-100000061-0"
                productor:
                  type: integer
                  description: ID del productor
                  example: 215
                fdesdePol:
                  type: string
                  format: date
                  description: Fecha de inicio (YYYY-MM-DD)
                  example: "2024-03-01"
                fhastaPol:
                  type: string
                  format: date
                  description: Fecha de fin (YYYY-MM-DD)
                  example: "2024-03-31"
                ramo:
                  type: integer
                  description: ID del ramo
                  example: 5
                cliente:
                  type: number
                  description: Cédula del cliente (búsqueda en todos los roles)
                  example: 24074553
                acreedor:
                  type: number
                  description: Cédula del acreedor
                  example: 12345678
                asegurado:
                  type: number
                  description: Cédula del asegurado
                  example: 24074553
                beneficiario:
                  type: number
                  description: Cédula del beneficiario
                  example: 24074553
                tomador:
                  type: number
                  description: Cédula del tomador
                  example: 24074553
                moneda:
                  type: string
                  description: Tipo de moneda
                  example: "$"
                canal:
                  type: string
                  description: Código del canal
                  example: "WEB"
      responses:
        "200":
          description: Reporte generado exitosamente
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        description: Listado de recibos encontrados
                        items:
                          type: object
                          properties:
                            "Nro. Póliza":
                              type: string
                              example: "5-100000061-0"
                            "Fecha de cobro":
                              type: string
                              example: "01-03-2024"
                            "Cod. Ramo":
                              type: integer
                              example: 5
                            "Ramo":
                              type: string
                              example: "ACCIDENTES PERSONALES"
                            "Póliza de origen":
                              type: string
                              example: "0                             "
                            "Observación":
                              type: string
                              nullable: true
                              example: null
                            "Cod. Plan":
                              type: string
                              example: "2     "
                            "Plan":
                              type: string
                              example: "15.000$ 4in1 Individual"
                            "F. emision recibo":
                              type: string
                              example: "15-03-2024"
                            "F. inicio póliza":
                              type: string
                              example: "01-03-2024"
                            "F. hasta póliza":
                              type: string
                              example: "01-03-2025"
                            "Doc. Tomador":
                              type: string
                              example: "V-24074553"
                            "Tomador":
                              type: string
                              example: "CONTRERAS RAMIREZ, BUENDY YHOANA"
                            "Doc. Asegurado":
                              type: string
                              example: "V-24074553"
                            "Asegurado":
                              type: string
                              example: "CONTRERAS RAMIREZ, BUENDY YHOANA"
                            "Doc. Beneficiario":
                              type: string
                              example: "V-24074553"
                            "Beneficiario":
                              type: string
                              example: "CONTRERAS RAMIREZ, BUENDY YHOANA"
                            "Doc. Acreedor":
                              type: string
                              example: "J-0"
                            "Acreedor":
                              type: string
                              example: "La Mundial de Seguros, C.A."
                            "Cod. Moneda":
                              type: string
                              example: "$"
                            "Moneda":
                              type: string
                              example: "DOLARES"
                            "Nro. Recibo":
                              type: string
                              example: "5-100000050"
                            "F. desde Recibo":
                              type: string
                              example: "01-03-2024"
                            "F. hasta Recibo":
                              type: string
                              example: "01-04-2024"
                            "VigenciA del recibo":
                              type: integer
                              example: 31
                            "Estado Recibo":
                              type: string
                              example: "C"
                            "Tipo de cobertura":
                              type: string
                              example: ""
                            "Monto pagado":
                              type: string
                              example: "459.45"
                            "Monto pagado en divisas":
                              type: string
                              example: "12.67"
                            "Tasa de Cambio":
                              type: number
                              format: float
                              example: 36.2633
                            "Sucursal":
                              type: string
                              example: "PRINCIPAL"
                            "Descripcion Sucursal":
                              type: string
                              example: "SUC.PRINCIPAL"
                            "Cod. productor":
                              type: integer
                              example: 215
                            "Productor":
                              type: string
                              example: "MANMAR CORRETAJE DE SEGUROS C.A"
                            "Nro. Relacion_de_Ingreso":
                              type: integer
                              example: 0
                            "Referencia":
                              type: string
                              nullable: true
                              example: null
                            "Banco Destino":
                              type: string
                              nullable: true
                              example: null
                            "% comision":
                              type: integer
                              example: 25
                            "Comisión BS":
                              type: string
                              example: "114.86"
                            "Comisión divisas":
                              type: string
                              example: "3.17"
                            "Codigo de canal":
                              type: string
                              nullable: true
                              example: null
                            "Nombre del canal":
                              type: string
                              nullable: true
                              example: null
              example:
                status: true
                data:
                  list:
                    - "Nro. Póliza": "5-100000061-0"
                      "Fecha de cobro": "01-03-2024"
                      "Cod. Ramo": 5
                      "Ramo": "ACCIDENTES PERSONALES"
                      "Póliza de origen": "0                             "
                      "Observación": null
                      "Cod. Plan": "2     "
                      "Plan": "15.000$ 4in1 Individual"
                      "F. emision recibo": "15-03-2024"
                      "F. inicio póliza": "01-03-2024"
                      "F. hasta póliza": "01-03-2025"
                      "Doc. Tomador": "V-24074553"
                      "Tomador": "CONTRERAS RAMIREZ, BUENDY YHOANA"
                      "Doc. Asegurado": "V-24074553"
                      "Asegurado": "CONTRERAS RAMIREZ, BUENDY YHOANA"
                      "Doc. Beneficiario": "V-24074553"
                      "Beneficiario": "CONTRERAS RAMIREZ, BUENDY YHOANA"
                      "Doc. Acreedor": "J-0"
                      "Acreedor": "La Mundial de Seguros, C.A."
                      "Cod. Moneda": "$"
                      "Moneda": "DOLARES"
                      "Nro. Recibo": "5-100000050"
                      "F. desde Recibo": "01-03-2024"
                      "F. hasta Recibo": "01-04-2024"
                      "VigenciA del recibo": 31
                      "Estado Recibo": "C"
                      "Tipo de cobertura": ""
                      "Monto pagado": "459.45"
                      "Monto pagado en divisas": "12.67"
                      "Tasa de Cambio": 36.2633
                      "Sucursal": "PRINCIPAL"
                      "Descripcion Sucursal": "SUC.PRINCIPAL"
                      "Cod. productor": 215
                      "Productor": "MANMAR CORRETAJE DE SEGUROS C.A"
                      "Nro. Relacion_de_Ingreso": 0
                      "Referencia": null
                      "Banco Destino": null
                      "% comision": 25
                      "Comisión BS": "114.86"
                      "Comisión divisas": "3.17"
                      "Codigo de canal": null
                      "Nombre del canal": null
        "403":
          description: No autorizado
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: "No tiene permisos para acceder a este recurso"
              example:
                status: false
                message: "No tiene permisos para realizar esta acción"
        "500":
          description: Error interno del servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: "Error al ejecutar el stored procedure SPReRecibos"
